import { HttpHandler, HttpRequest, HttpResponse } from "@aws-sdk/protocol-http";
import { HttpHandlerOptions } from "@aws-sdk/types";
/**
 * Represents the http options that can be passed to a browser http client.
 */
export interface BrowserHttpOptions {
    /**
     * The number of milliseconds a request can take before being automatically
     * terminated.
     */
    requestTimeout?: number;
}
export declare class FetchHttpHandler implements HttpHandler {
    private readonly httpOptions;
    constructor(httpOptions?: BrowserHttpOptions);
    destroy(): void;
    handle(request: HttpRequest, options: HttpHandlerOptions): Promise<{
        response: HttpResponse;
    }>;
}
